# Generated by Django 5.0.6 on 2024-05-26 17:29

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0011_alter_floor_entrance_alter_floor_number'),
    ]

    operations = [
        migrations.CreateModel(
            name='Flat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField(verbose_name='Поштовий номер')),
                ('building_number', models.IntegerField(null=True, verbose_name='Будівельний номер')),
                ('owner', models.CharField(max_length=63, verbose_name='Власник')),
                ('radiator', models.IntegerField(null=True)),
                ('status', models.CharField(choices=[('Р', 'Ремонт'), ('Ж', 'Жилая')], default='Р', max_length=2, verbose_name='Статус')),
                ('fire_detector', models.CharField(blank=True, choices=[('Підключений', 'Detector On'), ('Знятий', 'Detector Off')], max_length=12, verbose_name='Пожежний датчик')),
            ],
        ),
    ]
